## org.jgroups.conf
Class PropertyConverters.InitialHosts2

    java.lang.Object
      org.jgroups.conf.PropertyConverters.InitialHosts2

All Implemented Interfaces:
  PropertyConverter

Enclosing class:
  PropertyConverters

    public static class PropertyConverters.InitialHosts2

extends java.lang.Object
implements PropertyConverter

Constructor Summary
`PropertyConverters.InitialHosts2()`

Method Summary
`java.lang.Object` `convert(java.lang.Object obj, java.lang.Class<?> propertyFieldType, java.lang.String propertyName, java.lang.String prop_val, boolean check_scope)`
`java.lang.String` `toString(java.lang.Object value)` Converts the value to a string.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PropertyConverters.InitialHosts2

    public PropertyConverters.InitialHosts2()

Method Detail

### convert

    public java.lang.Object convert(java.lang.Object obj,
                                    java.lang.Class<?> propertyFieldType,
                                    java.lang.String propertyName,
                                    java.lang.String prop_val,
                                    boolean check_scope)
                             throws java.lang.Exception

  Specified by:
    `convert` in interface `PropertyConverter`
  Throws:
    `java.lang.Exception`

### toString

    public java.lang.String toString(java.lang.Object value)

  Description copied from interface: `PropertyConverter`
  Converts the value to a string. The default is to simply invoke Object.toString(), however, some objects need to be printed specially, e.g. a long array etc.

  Specified by:
    `toString` in interface `PropertyConverter`
  Returns:

Copyright © 1998-2009 Bela Ban / Red Hat. All Rights Reserved.